Load auth

Sends the request to preload in case of a refund request or a request to load a card

REQUEST

PATH PARAMETERS

ParameterType & ConstraintsDescription
terminalIDstring10 charactersrequiredOur partner issued terminal ID of the terminal requesting the transaction
referencestring1-255 charactersrequiredThe reference of the wallet to load
requestAmountintegerrequiredThe amount to be loaded in cents
narrativestring1-255 charactersrequiredA description of the terminal where the card was used
transactionTypestring2 charactersrequired2 character string identifying the type of transaction:
  • 20 = Refund
  • 26 = OCT (Visa)
  • 28 = MoneySend/Payment
transactionDatastring0-2048 charactersrequiredExtra information about the transaction in a KLV Format
transactionIDstring1-255 charactersrequired

Transaction ID number generated by the calling client.

Note: The transactionID is not a unique value and may be duplicated over time. The value of the transactionID is not expected or guaranteed to tie up to an original deduct message.

transactionDatedaterequiredTransaction date generated by the calling client
checksumstringrequiredHMAC-SHA256 hashed signature of the concatenated method name with all argument values using the terminal password as private key

         
  <?xml version="1.0"?>
  <methodCall>
    <methodName>LoadAuth</methodName>
    <params>
      <param><value><string>0014682067</string></value></param>
      <param><value><string>IMPLTest</string></value></param>
      <param><value><int>10000</int></value></param>
      <param><value><string>Tutuka Test Pretoria ZAF</string></value></param>
      <param><value><string>20</string></value></param>
      <param><value><string>002151375691000000230041200000001000002604601103712164514763140041000420512345048000490384008500250033DS25110MasterCard2520102530447792540025500</string></value></param>
      <param><value><string>192316</string></value></param>
      <param><value><dateTime.iso8601>20200709T06:45:40</dateTime.iso8601></value></param>
      <param><value><string>47D4F5C6E263FA295D492A925DF607773D3F1B9B</string></value></param>
    </params>
  </methodCall>

RESPONSE

STATUS 200 OK

SCHEMA

FieldTypeDescription
resultCodeintegerStatus code indicating transaction result
  <methodResponse>
    <params>
      <param>
        <value>
          <struct>
            <member>
              <name>resultCode</name>
              <value><int>1</int></value>
            </member>
          </struct>
        </value>
      </param>
    </params>
  </methodResponse>
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

Load authorization request

string
string
string
int64
string
string
date-time
string
string
Responses
200

Successful authorization

400

Invalid request parameters

401

Authorization failed

403

Forbidden (invalid checksum)

422

Invalid transaction type

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here!